> ## Documentation Index
> Fetch the complete documentation index at: https://docs.livepeer.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a multistream target



## OpenAPI

````yaml DELETE /stream/{id}/multistream/{targetId}
openapi: 3.1.0
info:
  title: Livepeer API Reference
  description: |
    Welcome to the Livepeer API reference docs. Here you will find all the
    endpoints exposed on the standard Livepeer API, learn how to use them and
    what they return.
  version: 1.0.0
servers:
  - url: https://livepeer.studio/api
security:
  - apiKey: []
tags:
  - name: stream
    description: Operations related to livestream api
  - name: asset
    description: Operations related to asset/vod api
  - name: webhook
    description: Operations related to webhook api
  - name: multistream
    description: Operations related to multistream api
  - name: session
    description: Operations related to session api
  - name: room
    description: Operations related to rooms api
  - name: transcode
    description: Operations related to transcode api
  - name: metrics
    description: Operations related to metrics api
  - name: playback
    description: Operations related to playback api
  - name: accessControl
    description: Operations related to access control/signing keys api
  - name: task
    description: Operations related to tasks api
  - name: generate
    description: Operations related to AI generate api
paths:
  /stream/{id}/multistream/{targetId}:
    delete:
      tags:
        - stream
      summary: Remove a multistream target
      operationId: removeMultistreamTarget
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: ID of the parent stream
          required: true
        - in: path
          name: targetId
          schema:
            type: string
          description: ID of the multistream target
          required: true
      responses:
        '204':
          description: Success (No content)
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      x-codeSamples:
        - lang: typescript
          label: removeMultistreamTarget
          source: |-
            import { Livepeer } from "livepeer";

            const livepeer = new Livepeer({
              apiKey: "<YOUR_BEARER_TOKEN_HERE>",
            });

            async function run() {
              const result = await livepeer.stream.removeMultistreamTarget("<id>", "<id>");

              // Handle the result
              console.log(result);
            }

            run();
        - lang: go
          label: removeMultistreamTarget
          source: "package main\n\nimport(\n\tlivepeergo \"github.com/livepeer/livepeer-go\"\n\t\"context\"\n\t\"log\"\n)\n\nfunc main() {\n    s := livepeergo.New(\n        livepeergo.WithSecurity(\"<YOUR_BEARER_TOKEN_HERE>\"),\n    )\n\n    ctx := context.Background()\n    res, err := s.Stream.RemoveMultistreamTarget(ctx, \"<id>\", \"<value>\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res != nil {\n        // handle response\n    }\n}"
        - lang: python
          label: removeMultistreamTarget
          source: >-
            from livepeer import Livepeer


            s = Livepeer(
                api_key="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.stream.remove_multistream_target(id="<id>",
            target_id="<value>")


            if res is not None:
                # handle response
                pass
components:
  schemas:
    error:
      type: object
      properties:
        errors:
          type: array
          minItems: 1
          items:
            type: string
            example:
              - id not provided
              - Account not found
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT

````